﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ElfViewerConsole.ELFModel.ELFFormat.Enums
{
    enum EELFPType
    {
        [Description("Unused entry")]
        PT_NULL = 0,

        [Description("Loadable segment")]
        PT_LOAD = 1,

        [Description("Dynamic linking tables")]
        PT_DYNAMIC = 2,

        [Description("Program interpreter path name")]
        PT_INTERP = 3,

        [Description("Note sections")]
        PT_NOTE = 4,

        [Description("Reserved")]
        PT_SHLIB = 5,

        [Description("Program header table")]
        PT_PHDR = 6,

        [Description("Thread-local storage")]
        PT_TLS = 7,

        [Description("Environment-speciﬁc use")]
        PT_LOOS = 0x60000000,

        [Description("---")]
        PT_HIOS = 0x6FFFFFFF,

        [Description("Processor-speciﬁc use")]
        PT_LOPROC = 0x70000000,

        [Description("---")]
        PT_HIPROC = 0x7FFFFFFF
    }
}
