﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ElfViewerConsole.ELFModel.ELFFormat.Enums
{
    public enum EELFType
    {
        [Description("No file type")]
        ET_NONE     = 0,        /* No file type */
        [Description("Relocatable file")]
        ET_REL      = 1,        /* Relocatable file */
        [Description("Executable file")]
        ET_EXEC     = 2,        /* Executable file */
        [Description("Shared object file")]
        ET_DYN      = 3,        /* Shared object file */
        [Description("Core file")]
        ET_CORE     = 4,        /* Core file */
        [Description("OS specific")]
        ET_LOOS     = 0xfe00,   /* Operating system-specific */
        [Description("OS specific")]
        ET_HIOS     = 0xfeff,   /* Operating system-specific */
        [Description("Processor specific")]
        ET_LOPROC   = 0xff00,   /* Processor-specific */
        [Description("Processor specific")]
        ET_HIPROC   = 0xffff    /* Processor-specific */
    }
}
